com.creamtec.ajaxswing.gui

## Class AjaxSwingGraphicsEnvironment

- java.lang.Object
- - java.awt.GraphicsEnvironment
  - - sun.java2d.SunGraphicsEnvironment
    - - sun.awt.X11GraphicsEnvironment
      - - com.creamtec.ajaxswing.gui.AjaxSwingGraphicsEnvironment

- All Implemented Interfaces:
    java.util.EventListener, sun.awt.DisplayChangedListener

      public class AjaxSwingGraphicsEnvironment
      extends sun.awt.X11GraphicsEnvironment

  Used to provide simulated graphics environment for GUI applications.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AjaxSwingGraphicsEnvironment.NameHelper` This function is here just because the class name doesn't change during obfuscation

  - ### Field Summary

    - ### Fields inherited from class sun.java2d.SunGraphicsEnvironment

      `isOpenSolaris`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingGraphicsEnvironment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `sun.awt.FontConfiguration` | `createFontConfiguration(boolean flag, boolean flag1)`
    `static java.lang.String` | `getClassName()`
    `java.lang.String` | `getFileNameFromXLFD(java.lang.String fontName)`
    `java.awt.print.PrinterJob` | `getPrinterJob()`
    `boolean` | `isDisplayLocal()`

    - ### Methods inherited from class sun.java2d.SunGraphicsEnvironment

      `addDisplayChangedListener, createGraphics, displayChanged, getAllFonts, getAvailableFontFamilyNames, getAvailableFontFamilyNames, getDefaultScreenDevice, getFontManagerForSGE, getScreenDevices, getUsableBounds, isFlipStrategyPreferred, paletteChanged, removeDisplayChangedListener, useAlternateFontforJALocales`

    - ### Methods inherited from class java.awt.GraphicsEnvironment

      `getCenterPoint, getLocalGraphicsEnvironment, getMaximumWindowBounds, isHeadless, isHeadlessInstance, preferLocaleFonts, preferProportionalFonts, registerFont`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingGraphicsEnvironment

          public AjaxSwingGraphicsEnvironment()

  - ### Method Detail

    - #### getPrinterJob

          public java.awt.print.PrinterJob getPrinterJob()

    - #### createFontConfiguration

          public sun.awt.FontConfiguration createFontConfiguration(boolean flag,
                                                          boolean flag1)

    - #### getFileNameFromXLFD

          public java.lang.String getFileNameFromXLFD(java.lang.String fontName)

      Overrides:
        `getFileNameFromXLFD` in class `sun.awt.X11GraphicsEnvironment`

    - #### getClassName

          public static java.lang.String getClassName()

    - #### isDisplayLocal

          public boolean isDisplayLocal()

      Specified by:
        `isDisplayLocal` in class `sun.java2d.SunGraphicsEnvironment`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.